---
title: About Me
---

# About Me

My name is Daniel, and I am a graduate student researching cybersecurity,
programmer, and Linux enthusiast. I completed a Bachelor's of Computing
(Honours) at Queen's University in 2024, and I'm currently in the Master's of
Science program at the School of Computing. As part of the NSERC CREATE
Cybersecurity program, my work combines programming, cryptography, system
design, and threat modeling to tackle real-world security challenges.

My research interest is authentication, and I like programming in Go and Python.
I spend my free time writing code, tinkering, and contributing to open-source
projects. Feel free to [contact me](/contact) if you want to see my resume.

I use Kakoune as my main text editor, and I type in
[Colemak-DH](https://colemakmods.github.io/mod-dh/) on a
[custom layout](https://sr.ht/~ficd/zmk). I run Arch Linux on a desktop PC and
ThinkPad, my preferred terminal is Foot, and I've been enjoying Niri as a window
manager.

I'm passionate about minimalist technology. This website is part of
[the 1mb club](https://1mb.club/), [JavaScript free](https://jsfree.org/), and
built with [zona](https://sr.ht/~ficd/zona), a tool I wrote myself.
